Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041240
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 16:202019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision2a242dee2daa
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041240: AcctServer.{getAccountDBpartner, disableDocumentConfirmation} are not using bind-params

DescriptionHQL in those functions is not using bind-params.

When fixing please apply new HQL-style to all 7 HQL in the file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041418 closedcollazoandy4 Apply HQL style guide to AcctServer 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113581)
collazoandy4 (developer)
2019-07-23 00:00

Test Plan
  Complete and Post a new Sales Invoice
(0114074)
hgbot (developer)
2019-08-19 11:27

Repository: erp/devel/pi
Changeset: 2a242dee2daa42b5e2bba3c4cb1ddaa3edac48b3
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Jul 22 16:20:25 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/2a242dee2daa42b5e2bba3c4cb1ddaa3edac48b3 [^]

Fixes issue 41240: AcctServer.{getAccountDBpartner, disableDocumentConfirmation}
are not using bind-params

Added missing bind-params

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0114076)
hgbot (developer)
2019-08-19 11:27

Repository: erp/devel/pi
Changeset: 1e378565c87fefba4ff07d8cb60de7dca339aae3
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Aug 19 11:20:42 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1e378565c87fefba4ff07d8cb60de7dca339aae3 [^]

related to issue 41240 fix correct bind parameter

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0114077)
Sandrahuguet (developer)
2019-08-19 11:28

code review + testing ok
(0114085)
hgbot (developer)
2019-08-19 12:58

Repository: erp/devel/pi
Changeset: b2063b37126e32cb5eb8dcb1e05bb052e02d677b
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Aug 19 12:57:44 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b2063b37126e32cb5eb8dcb1e05bb052e02d677b [^]

related to issue 41240 check if documentType is null when adding bindparam

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0114229)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114231)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114232)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 16:20 shuehner New Issue
2019-07-02 16:20 shuehner Assigned To => Triage Finance
2019-07-02 16:20 shuehner Modules => Core
2019-07-02 16:20 shuehner Triggers an Emergency Pack => No
2019-07-02 16:20 shuehner Relationship added blocks 0038136
2019-07-04 12:15 shuehner Target Version => 3.0PR19Q4
2019-07-22 16:07 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-22 16:07 collazoandy4 Status new => scheduled
2019-07-23 00:00 collazoandy4 Note Added: 0113581
2019-08-19 10:19 Sandrahuguet Relationship added related to 0041418
2019-08-19 11:27 hgbot Checkin
2019-08-19 11:27 hgbot Note Added: 0114074
2019-08-19 11:27 hgbot Status scheduled => resolved
2019-08-19 11:27 hgbot Resolution open => fixed
2019-08-19 11:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2a242dee2daa42b5e2bba3c4cb1ddaa3edac48b3 [^]
2019-08-19 11:27 hgbot Checkin
2019-08-19 11:27 hgbot Note Added: 0114076
2019-08-19 11:28 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-19 11:28 Sandrahuguet Note Added: 0114077
2019-08-19 11:28 Sandrahuguet Status resolved => closed
2019-08-19 11:28 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-19 12:58 hgbot Checkin
2019-08-19 12:58 hgbot Note Added: 0114085
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114229
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114231
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114232


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker